PETSc version 3.15.5
Fix/Edit manual page

# TaoBoundStep

Ensures the correct zero or adjusted step direction values for active variables.

### Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoBoundStep(Vec X, Vec XL, Vec XU, IS active_lower, IS active_upper, IS active_fixed, PetscReal scale, Vec S)

### Input Parameters

| X | - solution vector
| XL | - lower bound vector
| XU | - upper bound vector
| active_lower | - index set for lower bounded active variables
| active_upper | - index set for lower bounded active variables
| active_fixed | - index set for fixed active variables
| scale | - amplification factor for the step that needs to be taken on actively bounded variables

### Output Parameters

| S | - step direction to be modified

### Level

developer

### Location

src/tao/bound/utils/isutil.c
Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages